Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Watson2016-12-07 16:02:27 +0000
committerThomas Watson2017-01-11 16:08:16 +0000
commit86ac868ae86d1ff21292919d47a6dbf46075d3a8 (patch)
tree54e19a5e50b418afc9c8ecd4d21d775c257ffee6 /bundles/org.eclipse.osgi.util/META-INF
parentdd171a7ac305c0b5df769731037a76bf645d797e (diff)
downloadrt.equinox.framework-86ac868ae86d1ff21292919d47a6dbf46075d3a8.tar.gz
rt.equinox.framework-86ac868ae86d1ff21292919d47a6dbf46075d3a8.tar.xz
rt.equinox.framework-86ac868ae86d1ff21292919d47a6dbf46075d3a8.zip
Bug 501950 - [ds] replace Equinox DS implementation with Felix SCR (DS)I20170112-0245I20170112-0200I20170111-2000
implementation Update the DS API for R6 Change-Id: I49f46a8474a4b434ad20fe54f2ad8f0f4d649e99 Signed-off-by: Thomas Watson <tjwatson@us.ibm.com>
Diffstat (limited to 'bundles/org.eclipse.osgi.util/META-INF')
-rw-r--r--bundles/org.eclipse.osgi.util/META-INF/MANIFEST.MF18
1 files changed, 11 insertions, 7 deletions
diff --git a/bundles/org.eclipse.osgi.util/META-INF/MANIFEST.MF b/bundles/org.eclipse.osgi.util/META-INF/MANIFEST.MF
index 96aac648f..7e7bf9de7 100644
--- a/bundles/org.eclipse.osgi.util/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.osgi.util/META-INF/MANIFEST.MF
@@ -2,18 +2,22 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %osgiUtil
Bundle-SymbolicName: org.eclipse.osgi.util
-Bundle-Version: 3.3.100.qualifier
+Bundle-Version: 3.4.0.qualifier
Bundle-Description: %osgiUtilDes
Bundle-Vendor: %eclipse.org
Bundle-Localization: plugin
Bundle-DocUrl: http://www.eclipse.org
Bundle-ContactAddress: www.eclipse.org
-Export-Package: org.osgi.util.measurement; version="1.0.1",
- org.osgi.util.position; version="1.0.1",
- org.osgi.util.xml; version="1.0.1"
+Export-Package: org.osgi.util.function;version="1.0",
+ org.osgi.util.measurement;version="1.0.1",
+ org.osgi.util.position;version="1.0.1";uses:="org.osgi.util.measurement",
+ org.osgi.util.promise;version="1.0";uses:="org.osgi.util.function",
+ org.osgi.util.xml;version="1.0.1";uses:="org.osgi.framework,javax.xml.parsers"
Import-Package: org.osgi.framework; version=1.1,
javax.xml.parsers,
- org.osgi.util.measurement; version="[1.0.1, 1.2)",
- org.osgi.util.position; version="[1.0.1, 1.2)",
- org.osgi.util.xml; version="[1.0.1, 1.2)"
+ org.osgi.util.function; version="[1.0, 1.1)",
+ org.osgi.util.measurement; version="[1.0.1, 1.1)",
+ org.osgi.util.position; version="[1.0.1, 1.1)",
+ org.osgi.util.promise; version="[1.0, 1.1)",
+ org.osgi.util.xml; version="[1.0.1, 1.1)"
Bundle-RequiredExecutionEnvironment: J2SE-1.5

Back to the top